Bug 16408 - Support createEvent("Events") -> Event interface
Summary: Support createEvent("Events") -> Event interface
Status: VERIFIED FIXED
Alias: None
Product: WebAppsWG
Classification: Unclassified
Component: HISTORICAL - DOM3 Events (show other bugs)
Version: unspecified
Hardware: PC Windows NT
: P2 minor
Target Milestone: ---
Assignee: Travis Leithead [MSFT]
QA Contact: public-webapps-bugzilla
URL:
Whiteboard:
Keywords: reviewerSatisfied
Depends on:
Blocks:
 
Reported: 2012-03-16 18:31 UTC by Travis Leithead [MSFT]
Modified: 2012-04-05 22:50 UTC (History)
4 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Travis Leithead [MSFT] 2012-03-16 18:31:00 UTC
Apparently all browsers support this as of IE9 testing:

IE8: n/a
Firefox: pass
Chrome: pass
Safari: pass
Opera: pass

Note, the current DOM L3 Events spec mentions the following (but omits "Events" as a valid compatibility string):

*For backward compatibility reason, "UIEvents", "MouseEvents", "MutationEvents", and "HTMLEvents" feature names are valid values for the parameter eventInterface and represent respectively the interfaces UIEvent, MouseEvent, MutationEvent, and Event, and the characters 'a'..'z' are considered equivalent to the characters 'A'..'Z'.

The request is to add a mapping for the string "Events" to the Event interface for interop purposes.
Comment 1 Anne 2012-03-16 21:26:33 UTC
Interesting! Fixed in DOM: https://bitbucket.org/ms2ger/dom-core/changeset/edc7186a302a
Comment 2 Ms2ger 2012-03-17 19:28:35 UTC
Added a test:

http://dvcs.w3.org/hg/webapps/rev/486e28ffa34a

Interestingly, webkit only supports the title-case versions.
Comment 3 Travis Leithead [MSFT] 2012-03-20 01:23:02 UTC
Updated the backward compatibility list in DOM3 Events as well.

http://dev.w3.org/2006/webapi/DOM-Level-3-Events/html/DOM3-Events.html?rev=1.217#interface-DocumentEvent
Comment 4 Travis Leithead [MSFT] 2012-04-05 22:50:06 UTC
As the opener, I'm satisfied with this change :)